com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface FlowdiagramFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface FlowdiagramFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `FlowdiagramPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static FlowdiagramFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivityShape` | `createActivityShape()` Returns a new object of class 'Activity Shape'
    `DecisionEdge` | `createDecisionEdge()` Returns a new object of class 'Decision Edge'
    `DecisionShape` | `createDecisionShape()` Returns a new object of class 'Decision Shape'
    `FlowDiagram` | `createFlowDiagram()` Returns a new object of class 'Flow Diagram'
    `FlowEdge` | `createFlowEdge()` Returns a new object of class 'Flow Edge'
    `FlowShape` | `createFlowShape()` Returns a new object of class 'Flow Shape'
    `InitiateShape` | `createInitiateShape()` Returns a new object of class 'Initiate Shape'
    `LoopbackEdge` | `createLoopbackEdge()` Returns a new object of class 'Loopback Edge'
    `TerminateShape` | `createTerminateShape()` Returns a new object of class 'Terminate Shape'
    `FlowdiagramPackage` | `getFlowdiagramPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final FlowdiagramFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createFlowDiagram

          FlowDiagram createFlowDiagram()

      Returns a new object of class 'Flow Diagram'.
      Returns:
        a new object of class 'Flow Diagram'.

    - #### createFlowShape

          FlowShape createFlowShape()

      Returns a new object of class 'Flow Shape'.
      Returns:
        a new object of class 'Flow Shape'.

    - #### createActivityShape

          ActivityShape createActivityShape()

      Returns a new object of class 'Activity Shape'.
      Returns:
        a new object of class 'Activity Shape'.

    - #### createDecisionShape

          DecisionShape createDecisionShape()

      Returns a new object of class 'Decision Shape'.
      Returns:
        a new object of class 'Decision Shape'.

    - #### createTerminateShape

          TerminateShape createTerminateShape()

      Returns a new object of class 'Terminate Shape'.
      Returns:
        a new object of class 'Terminate Shape'.

    - #### createFlowEdge

          FlowEdge createFlowEdge()

      Returns a new object of class 'Flow Edge'.
      Returns:
        a new object of class 'Flow Edge'.

    - #### createDecisionEdge

          DecisionEdge createDecisionEdge()

      Returns a new object of class 'Decision Edge'.
      Returns:
        a new object of class 'Decision Edge'.

    - #### createInitiateShape

          InitiateShape createInitiateShape()

      Returns a new object of class 'Initiate Shape'.
      Returns:
        a new object of class 'Initiate Shape'.

    - #### createLoopbackEdge

          LoopbackEdge createLoopbackEdge()

      Returns a new object of class 'Loopback Edge'.
      Returns:
        a new object of class 'Loopback Edge'.

    - #### getFlowdiagramPackage

          FlowdiagramPackage getFlowdiagramPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.